<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_rate_me.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_rate_me_panel/infusion_db.php";
require_once INFUSIONS."mg_rate_me_panel/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_rate_me_panel/locale/German.php";
}

add_to_head("<link href=\"".INFUSIONS."mg_rate_me_panel/css/rating_style.css\" rel=\"stylesheet\" type=\"text/css\" media=\"all\">");
add_to_head("<script type=\"text/javascript\" src=\"".INFUSIONS."mg_rate_me_panel/js/rating_update.js\"></script>");
require_once INFUSIONS."mg_rate_me_panel/rating_functions.php";

echo "<div class='rateoverlay' id='rateoverlay' style='display:none;'></div>";
echo "<div id='loading' class='loading' style='text-align:center;'>
		<img src='".INFUSIONS."mg_rate_me_panel/images/loading.gif' alt='' />
	</div>";
$welcome_table = "<table class='center rounded' width='80%' cellpadding='15' cellspacing='0'>\n
		<tr class='gradient' style='font-size:bigger;'>
			<td style='text-align:left;' width='5%'>
				<img src='".INFUSIONS."mg_rate_me_panel/images/good.png' alt='good' />
			</td>
			<td style='text-align:center;'>
				<big><b>".$locale['MGRATE_rm01']."</b></big><br />".$locale['MGRATE_rm02'].": <b>".getgroupname($rate_settings['rate_group'])."</b><br />".$locale['MGRATE_rm03'].": <b>".getgroupname($rate_settings['rate_access'])."</b>
			</td>
			<td style='text-align:right;' width='5%'>
				<img src='".INFUSIONS."mg_rate_me_panel/images/bad.png' alt='bad' />
			</td>
		</tr>
	</table>
	<br />";
if (isset($_GET['userid']) && isnum($_GET['userid'])) {
$id = stripinput($_GET['userid']);

opentable($locale['MGRATE_rm04']);
echo $welcome_table;
$data = dbarray(dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$id."'"));

echo "<div style='float:left;padding:10px;'>".rateAvatarImg($id, 'normal')."</div>";
echo "<div style='float:left;padding:10px;width:60%;margin:10px;' class='shadow'>";
echo "<table class='tbl' width='100%' cellpadding='3' cellspacing='0'>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;width:1%;'>".$locale['MGRATE_rm05'].":</td>
			<td style='font-style:italic;'>".$data['user_name']."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm06'].":</td>
			<td style='font-style:italic;'>".getuserlevel($data['user_level'])."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm07'].":</td>
			<td style='font-style:italic;'>".showdate("%d.%m.%Y %H:%M:%S", $data['user_joined'])."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm08'].":</td>
			<td style='font-style:italic;'>".showdate("%d.%m.%Y %H:%M:%S", $data['user_lastvisit'])."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm09'].":</td>
			<td style='font-style:italic;'>".rateGeburtstag($data['user_birthdate'], 'long')."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm10'].":</td>
			<td style='font-style:italic;'>".rateGetAlter($data['user_id'])."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm11'].":</td>
			<td style='font-style:italic;'>".rateSternzeichen($data['user_id'])."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm12'].":</td>
			<td style='font-style:italic;'>".($data['user_location'] != "" ? $data['user_location'] : "---")."</td>
		</tr>";
		if (array_key_exists("user_web", $data) && $data['user_web']) {
		echo "
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm13'].":</td>
			<td style='font-style:italic;'>";
			if (!strstr($data['user_web'], "http://")) { $urlprefix = "http://"; } else { $urlprefix = ""; }
			echo "<a href='".$urlprefix."".$data['user_web']."' target='_blank' title='".$data['user_web']."'>".$locale['MGRATE_rm14']."</a>";
		echo "</td>
		</tr>";
		}
	echo "<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm15'].":</td>
			<td style='font-style:italic;'>".($data['user_sig'] != "" ? nl2br(parseubb(parsesmileys($data['user_sig']))) : "---")."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm16'].":</td>
			<td style='font-style:italic;'>".number_format(dbcount("(comment_id)", DB_COMMENTS, "comment_name='".$data['user_id']."'"))."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm17'].":</td>
			<td style='font-style:italic;'>".number_format($data['user_posts'])."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_rm18'].":</td>
			<td style='font-style:italic;'>".number_format(dbcount("(shout_id)", DB_SHOUTBOX, "shout_name='".$data['user_id']."'"))."</td>
		</tr>
		<tr class='tbl1' style='text-align:left;white-space:nowrap;'>
			<td style='font-weight:bold;'>".$locale['MGRATE_status'].":</td>
			<td style='font-style:italic;'>".rateStatus($data['user_id'], "")."</td>
		</tr>";

echo "</table>";
echo "</div>";
echo "<div style='clear:both;'></div><br /><br />";
echo "<div class='shadow' style='text-align:center;width:50%;margin:auto;'>";
if (checkgroup($rate_settings['rate_access']) == false || $userdata['user_id'] == $data['user_id']) {
echo "<span class='mg_out5Class'>".mg_outOfFive($data['user_id'])."</span>/5 (<span class='mg_percentClass'>".mg_getRating($data['user_id'])."</span>) (".$locale['MGRATE_rm19'].": <span class='mg_votesClass'>".mg_getVotes($data['user_id'])."</span>)";
} else {
echo zeigeRatings($id);
}
echo "<br /></div>";
echo "<br /><br /><div style='text-align:center;' class='back' onclick=\"window.location.href = '".FUSION_SELF."';\"><a id='back' href='".FUSION_SELF."'>".$locale['MGRATE_rm20']."</a></div><br />";

closetable();

	// Kommentare
	require_once INCLUDES."comments_include.php";
	showcomments("R", MG_RATE_ME, "rate_user_id", $data['user_id'], FUSION_SELF."?userid=".$data['user_id']."");
} else {

$items_per_page = 10;

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { 
	$_GET['rowstart'] = 0; 
}
// $rows = dbcount("(user_id)", DB_USERS, "field1='this'"); // Usergruppe prfen

opentable("".$locale['MGRATE_rm26']." (".getgroupname($rate_settings['rate_group']).")");
echo $welcome_table;
echo "<table class='tbl-border center' width='80%' cellpadding='3' cellspacing='0'>\n
		<tr class='tbl2' style='font-size:bigger;font-weight:bold;'>
			<td>".$locale['MGRATE_rm21']."</td>
			<td>".$locale['MGRATE_rm22']."</td>
			<td>".$locale['MGRATE_rm23']."</td>
			<td>".$locale['MGRATE_rm24']."</td>
		</tr>";
	
	$result = dbquery("SELECT * FROM ".DB_USER_GROUPS." WHERE group_id='".$rate_settings['rate_group']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$rows = dbcount("(user_id)", DB_USERS, "user_status='0' AND user_groups REGEXP('^\\\.{$data['group_id']}$|\\\.{$data['group_id']}\\\.|\\\.{$data['group_id']}$')");
		$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_groups REGEXP('^\\\.{$data['group_id']}$|\\\.{$data['group_id']}\\\.|\\\.{$data['group_id']}$') ORDER BY user_level DESC, user_name ASC LIMIT ".$_GET['rowstart'].",".$items_per_page."");
} else {
	$rows = dbcount("(user_id)", DB_USERS, "user_status='0' AND user_level >= ".$rate_settings['rate_group']."");
	$data['group_id'] = 0;
		$result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_level >= ".$rate_settings['rate_group']." ORDER BY user_level DESC, user_name ASC LIMIT ".$_GET['rowstart'].",".$items_per_page."");
}
	// $result = dbquery("SELECT * FROM ".DB_USERS." ORDER BY user_level DESC, user_name ASC LIMIT ".$_GET['rowstart'].",".$items_per_page."");
	$i = 0;
	while ($data = dbarray($result)) {
		$comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='R' AND comment_item_id='".$data['user_id']."'");
		$class= ($i%2 == 0 ? "tbl1" : "tbl2");
		echo "<tr class='".$class."'>
				<td style='text-align:center;' width='1%'>".rateAvatarImg($data['user_id'], 'small')."
				<div id='".$data['user_id']."' class='ratetooltip'><b>".$data['user_name']."</b><br />".rateAvatarOnly($data['user_id'])."</div>
				</td>
				<td width='20%'><a class='rate_me' href='".FUSION_SELF."?userid=".$data['user_id']."'>".$data['user_name']."</a></td>
				<td><span class='mg_out5Class'>".mg_outOfFive($data['user_id'])."</span>/5 (<span class='mg_percentClass'>".mg_getRating($data['user_id'])."</span>) (".$locale['MGRATE_rm19'].": <span class='mg_votesClass'>".mg_getVotes($data['user_id'])."</span>)</td>
				<td style='text-align:center;' width='1%'>".$comments."</td>
			</tr>";
	$i++;
	}

if ($rows > $items_per_page) {

	echo "<tr class='tbl2' style='text-align:center;'><td colspan='4'>".makepagenav($_GET['rowstart'], $items_per_page, $rows, 3)."</td></tr>";

}
echo "</table>";
closetable();

echo "<script type=\"text/javascript\">

var xmlHttpObject = false;

if (typeof XMLHttpRequest != 'undefined')
{
    xmlHttpObject = new XMLHttpRequest();
}
if (!xmlHttpObject)
{
    try
    {
        xmlHttpObject = new ActiveXObject(\"Msxml2.XMLHTTP\");
    }
    catch(e)
    {
        try
        {
            xmlHttpObject = new ActiveXObject(\"Microsoft.XMLHTTP\");
        }
        catch(e)
        {
            xmlHttpObject = null;
        }
    }
}

function loadContent()
{
    xmlHttpObject.open('get','".INFUSIONS."mg_rate_me_panel/top_ten.php');
    xmlHttpObject.onreadystatechange = handleContent;
    xmlHttpObject.send(null);
		/* Alle 10 Sekunden aktualisieren */
		setTimeout(\"loadContent()\",10000)
    return false;
}

function handleContent()
{
    if (xmlHttpObject.readyState == 4)
    {
        document.getElementById('myContent').innerHTML = xmlHttpObject.responseText;
    }
}

</script>";
opentable($locale['MGRATE_rm27']);

echo "<script type=\"text/javascript\">loadContent();</script>\n";
echo "<div id='myContent' style='text-align:center;'>
		<img src='".INFUSIONS."mg_rate_me_panel/images/ajax-loader.gif' style='vertical-align:middle;border:0px;' /><br />".$locale['MGRATE_rm25']."....
	</div>";
closetable();
}

echo "<script type='text/javascript' src='".INFUSIONS."mg_rate_me_panel/js/jquery-1.4.2.min.js'></script>";
echo "<script type='text/javascript' src='".INFUSIONS."mg_rate_me_panel/js/rate_me.js'></script>";
echo "
<script type='text/javascript'>
	$(document).ready(function(){
		$('.status').animate({
			width: '32px',
			height: '32px',
		}, 'fast' );
		
		$('.shadow').fadeIn('normal');
		$('.offline').fadeTo('fast', 0.2);
		$('.offline').mouseenter(function() {
			$('.offline').fadeTo('slow', 1);
		});

		$('.offline').mouseleave(function() {
			$('.offline').fadeTo('slow', 0.2);
		});
	});	
	
$(function() {
    $('#back').click(function(){
        $('#rateoverlay').fadeIn(100,function(){
            $('#loading').animate({'top':'360px'},100);
        });
    });
    $('.rate_me').click(function(){
        $('#rateoverlay').fadeIn(100,function(){
            $('#loading').animate({'top':'360px'},100);
        });
    });
});
</script>";
require_once THEMES."templates/footer.php";
?>